#include<iostream>

using namespace std;

int main(){

    char sl[2];
    int br[2], i;

    cout<<"Unesi Perino slovo i Petrino slovo: \n";
    cin>>sl;
    cout<<"Unesi Perin broj slova i Petrin broj slova: \n";
    cin>>br[0]>>br[1];

    if(br[0] - 1 > br[1] || br[1] - 1 > br[0] ){
        cout<<"nemoguce";
    }else{
        if(br[1] > br[0]){
            for(i = 1; i<= br[1] + br[0]; i++){
                if(i % 2 != 0){
                    cout<<sl[1];
                }else{
                cout<<sl[0];
                }
            }
        }else{
            for(i = 1; i<= br[1] + br[0]; i++){
                if(i % 2 != 0){
                    cout<<sl[1];
                }else{
                cout<<sl[0];
                }
            }
        }
    }
return 0;
}